Package com.google.javascript.jscomp

# Class JqueryCodingConvention

java.lang.Object
com.google.javascript.jscomp.CodingConventions.Proxy
com.google.javascript.jscomp.JqueryCodingConvention

All Implemented Interfaces:
  `CodingConvention`, `Serializable`

public class JqueryCodingConvention extends CodingConventions.Proxy
This describes the jQuery specific JavaScript coding conventions.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface com.google.javascript.jscomp.CodingConvention

`CodingConvention.AssertionFunctionSpec, CodingConvention.Bind, CodingConvention.DelegateRelationship, CodingConvention.ObjectLiteralCast, CodingConvention.SubclassRelationship, CodingConvention.SubclassType`

## Field Summary

### Fields inherited from class com.google.javascript.jscomp.CodingConventions.Proxy

`nextConvention`

## Constructor Summary

Constructors
Constructor
Description
`JqueryCodingConvention()`
`JqueryCodingConvention(CodingConvention wrapped)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getGlobalObject()`
Gets the name of the global object.
`boolean`
`isPropertyTestFunction(Node call)`
Whether this CALL function is testing for the existence of a property.
`boolean`
`isPrototypeAlias(Node getProp)`
Whether this GETPROP node is an alias for an object prototype.

### Methods inherited from class com.google.javascript.jscomp.CodingConventions.Proxy

`applyDelegateRelationship, applySingletonGetter, applySubclassRelationship, checkForCallingConventionDefiningCalls, defineDelegateProxyPrototypeProperties, describeFunctionBind, describeFunctionBind, extractClassNameIfProvide, extractClassNameIfRequire, getAbstractMethodName, getAssertionFunctions, getClassesDefinedByCall, getDelegateRelationship, getDelegateSuperclassName, getExportPropertyFunction, getExportSymbolFunction, getIndirectlyDeclaredProperties, getObjectLiteralCast, getSingletonGetterClassName, identifyTypeDeclarationCall, isConstant, isConstantKey, isExported, isExported, isInlinableFunction, isOptionalParameter, isPrivate, isSuperClassReference, isValidEnumKey, isVarArgsParameter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JqueryCodingConvention

public JqueryCodingConvention()

### JqueryCodingConvention

public JqueryCodingConvention(CodingConvention wrapped)

## Method Details

### getGlobalObject

public String getGlobalObject()
Description copied from interface: `CodingConvention`
Gets the name of the global object.

Specified by:
  `getGlobalObject` in interface `CodingConvention`
Overrides:
  `getGlobalObject` in class `CodingConventions.Proxy`

### isPropertyTestFunction

public boolean isPropertyTestFunction(Node call)
Description copied from interface: `CodingConvention`
Whether this CALL function is testing for the existence of a property.

Specified by:
  `isPropertyTestFunction` in interface `CodingConvention`
Overrides:
  `isPropertyTestFunction` in class `CodingConventions.Proxy`

### isPrototypeAlias

public boolean isPrototypeAlias(Node getProp)
Description copied from interface: `CodingConvention`
Whether this GETPROP node is an alias for an object prototype.

Specified by:
  `isPrototypeAlias` in interface `CodingConvention`
Overrides:
  `isPrototypeAlias` in class `CodingConventions.Proxy`